package com.muyu.domain.enums;

import java.math.BigDecimal;
import java.util.Date;


public enum DataType {
    VARCHAR("varchar",String.class,"String"),
    BIGINT("bigint",Long.class,"Long"),
    INT("int",Integer.class,"Integer"),
    DECIMAL("decimal", BigDecimal.class,"BigDecimal"),
    DATETIME("datetime", Date.class,"Date"),
    TEXT ("text",String.class,"String"),
    DOUBLE ("double",Double.class,"Double");

         private final String sourceType;
         private final Class<?> targetType;
         private final String javaType;

     DataType(String sourceType, Class<?> targetType, String javaType) {
        this.sourceType = sourceType;
        this.targetType = targetType;
         this.javaType = javaType;
     }

     public static  Class convertType(String type){
         for (DataType dataType : DataType.values()) {
             if(dataType.sourceType.equalsIgnoreCase(type)){
                 return dataType.targetType;
             }
         }
         return String.class;
     }


     public  static  String  getJavaType(String type){
         for (DataType value : DataType.values()) {
             if(value.sourceType.equalsIgnoreCase(type)){
                 return value.javaType;
             }
         }
         return String.class.getName();
     }




}
